For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETGet all email templates
        • POSTCreate entity email template
        • GETGet entity email template
        • PUTUpdate entity email template
        • DELDelete entity email template
Logo
Sign inBook a demo
API ReferenceEntityEmail Template

Get entity email template

GET
https://api.mercoa.com/entity/:entityId/email-template/:emailTemplateId
GET
/entity/:entityId/email-template/:emailTemplateId
$curl https://api.mercoa.com/entity/ent_a0f6ea94-0761-4a5e-a416-3c453cb7eced/email-template/emt_8545a84e-a45f-41bf-bdf1-33b42a55812c \
> -H "Authorization: Bearer <token>"
1{
2 "id": "emt_8545a84e-a45f-41bf-bdf1-33b42a55812c",
3 "entityId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
4 "templateType": "PAYMENT",
5 "name": "Generic Payment Email",
6 "subject": "Action Required - Your payment is due",
7 "content": "<h1>Your invoice has been sent.</h1>",
8 "isDefault": true
9}
Get entity email template
Was this page helpful?
Previous

Update entity email template

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID
emailTemplateIdstringRequired
Email Template ID or Email Template ForeignID

Response

This endpoint returns an object.
idstring
entityIdstring
The ID of the entity that this email template is associated with.
templateTypeenum
Allowed values:
namestring
The name of the email template.
subjectstring
The subject of the email template.
contentstring
The HTML content of the email template.
isDefaultboolean
True if this email template is the default template for new invoices.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented